Returns the number of cascade output stagnation epochs

- « fann_get_cascade_output_change_fraction

- fann_get_cascade_weight_multiplier »

- PHP Manual
- Fann Functions
- Returns the number of cascade output stagnation epochs

# fann_get_cascade_output_stagnation_epochs

(PECL fann >= 1.0.0)

fann_get_cascade_output_stagnation_epochs — Returns the number of cascade output stagnation epochs

### Description

fann_get_cascade_output_stagnation_epochs(resource `$ann`): int

The number of cascade output stagnation epochs determines the number of epochs training is allowed to continue without changing the MSE by a fraction of fann_get_cascade_output_change_fraction().

See more info about this parameter in fann_get_cascade_output_change_fraction().

The default number of cascade output stagnation epochs is 12.

### Parameters

`ann`

  Neural network resource.

### Return Values

The number of cascade output stagnation epochs, or `false` on error.

### See Also

- fann_set_cascade_output_stagnation_epochs() - Sets the number of cascade output stagnation epochs
- fann_get_cascade_output_change_fraction() - Returns the cascade output change fraction